# File rvsao/Xcsao/templates.com
# November 18, 1999
# By Doug Mink, Harvard-Smithsonian Center for Astrophysics

common/twork/ tempfiles, tempdir, tband, tempnums0, templist, tspec_range,
	      minwav0, maxwav0, czguess0, dindef, pkfrac0, nzpass, rmode,
	      fixbad, arcflag, filexcor, correlate, renorm, savevel0,
	      echelle, tzpad, shspec, shtemp, wltemp, xcor, xvel

char	tempfiles[SZ_PATHNAME]	# List of template spectra
char    tempdir[SZ_PATHNAME]    # Directory for template spectra
int	tband			# Multispec band for templates
char    tempnums0[SZ_LINE]      # List of multispec spectra to read
pointer	templist		# List of template files
int     tspec_range[3,MAX_RANGES] # Template multispec number range(s)
double	minwav0			# Starting wavelength from parameter file
double	maxwav0			# Ending wavelength from parameter file
double	czguess0		# Initial velocity or Z for template offset
double	dindef			# IRAF double INDEF
double	pkfrac0			# <1: fraction of peak,
				# >1: number of peak points to fit
int	nzpass			# Number of template shifts
int	rmode			# Report format (1=normal,2=one-line, ...)

bool	fixbad			# True to remove bad emission line regions
bool	filexcor		# If true, save correlation to a file
bool	correlate		# True to cross-correlate spectra
bool	renorm			# True to renormalize spectrum
bool	arcflag			# Archive record writing flag
bool	savevel0		# True to save results in spectrum header
bool	echelle			# If true, template numbers track object
int	tzpad			# Flag for zero-padding for one template

pointer shspec			# Spectrum pixels in log-lambda for xcorfit
pointer shtemp			# Template pixels in log-lambda for xcorfit
pointer wltemp			# Wavelength vector for template overlap
pointer xcor			# Cross-correlation returned from xcorfit
pointer xvel			# Cross-correlation velocities from xcorfit

common/emrem/ emrej1,emrej2,abrej1,abrej2

real	emrej1		# Limiting number of sigma for object spectra emission
real	emrej2		# Limiting number of sigma for template spectra emission
real	abrej1		# Limiting number of sigma for object spectra absorption
real	abrej2		# Limiting number of sigma for template spectra absorption

